Skip to main content
Annotate a trace or session

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string | null
Content-Encoding
enum<string>
Available options:
base64,
gzip, base64

Path Parameters

scorer_id
string
required

Body

application/json
answer
any
required
comment
string | null
scorer_version
integer<int64> | null
session_id
string | null
trace_id
string | null

Response

HTTP 200 response.

id
string
required
store
enum<string>
required
Available options:
session_insight,
insights
agent_id
string | null
agent_version
integer<int64> | null
annotator_id
string | null
answer_type
enum<string> | null
Available options:
choice,
score,
boolean,
text
backend
enum<string> | null
Available options:
classifier,
llm,
rule,
human
choice
string | null
confidence
number<double> | null
created_at
string | null
execution_id
string | null
grain
enum<string> | null
Available options:
trace,
session
labels
string[] | null
legend
object | null
long_context
boolean | null
model
string | null
observed_at
string | null
passed
boolean | null
probabilities
object | null
question_id
string | null
reasoning
string | null
recorded_at
string | null
score
number<double> | null
scorer_id
string | null
scorer_release_id
string | null
scorer_version
integer<int64> | null
scorer_version_id
string | null
session_id
string | null
subject_key
string | null
subject_kind
enum<string> | null
Available options:
trace,
session,
mcp_session,
improvement
text
string | null
trace_id
string | null
typed_answer
object | null
upstream_model
string | null
usage
object | null